using System;
using CsvHelper.Configuration.Attributes;

namespace StarsAssistant.CSV;

public class Fleet
{
    [Index(0)]
    public string FleetName { get; set; } = String.Empty;

    [Index(1)]
    public int X { get; set; }

    [Index(2)]
    public int Y { get; set; }

    [Index(3)]
    public string Planet { get; set; } = String.Empty;

    [Index(4)]
    public string Destination { get; set; } = String.Empty;

    [Index(5)]
    public string BattlePlan { get; set; } = String.Empty;

    [Index(6)]
    public int ShipCount { get; set; }

    [Index(7)]
    public int Ironium { get; set; }

    [Index(8)]
    public int Boranium { get; set; }

    [Index(9)]
    public int Germanium { get; set; }

    [Index(0)]
    public int Colonists { get; set; }

    [Index(1)]
    public int Fuel { get; set; }

    [Index(2)]
    public int OwnerPlayerNumber { get; set; }

    [Index(3)]
    public int ETA { get; set; }

    [Index(4)]
    public int Warp { get; set; }

    [Index(5)]
    public int Mass { get; set; }

    [Index(6)]
    public int Cloak { get; set; }

    [Index(7)]
    public int Scan { get; set; }

    [Index(8)]
    public int PenScan { get; set; }

    [Index(9)]
    public string Task { get; set; } = String.Empty;

    [Index(0)]
    public int Mining { get; set; }

    [Index(1)]
    public int Sweep { get; set; }

    [Index(2)]
    public int Laying { get; set; }

    [Index(3)]
    public int Terraforming { get; set; }

    [Index(4)]
    public int Unarmed { get; set; }

    [Index(5)]
    public int Scout { get; set; }

    [Index(6)]
    public int Warship { get; set; }

    [Index(7)]
    public int Utility { get; set; }

    [Index(8)]
    public int Bomber { get; set; }

}